.\" $NetBSD: uplcom.4,v 1.17 2007/06/14 14:46:09 hira Exp $
.\"
.\" Copyright (c) 2001, 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 14, 2007
.Dt UPLCOM 4
.Os
.Sh NAME
.Nm uplcom
.Nd USB support for Prolific PL-2303 serial adapters driver
.Sh SYNOPSIS
.Cd "uplcom* at uhub?"
.Cd "ucom*   at uplcom?"
.Sh HARDWARE
The
.Nm
driver supports the following adapters:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It BAFO BF-800
.It BAFO BF-810
.It ELECOM UC-SGT
.It HAL Corporation Crossam2
.It IOGEAR UC-232A
.It I/O DATA USB-RSAQ
.It I/O DATA USB-RSAQ2
.It I/O DATA USB-RSAQ3
.It I/O DATA USB-RSAQ5
.It PLANEX USB RS-232 URS-03
.It Sitecom CN-116 USB to serial
.It Sony Ericsson DCU-10
.It Sony Ericsson DCU-11
.It SOURCENEXT KeiKaiDenwa 8
.El
.Sh DESCRIPTION
The
.Nm
driver provides support for the Prolific PL-2303 USB-to-RS-232 Bridge chip.
.Pp
The device is accessed through the
.Xr ucom 4
driver which makes it behave like a
.Xr tty 4 .
.Sh SEE ALSO
.Xr tty 4 ,
.Xr ucom 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
